import request from '@/utils/request'

// 查询健康知识管理列表
export function listArticle(query) {
  return request({
    url: '/his/article/list',
    method: 'get',
    params: query
  })
}

// 查询健康知识管理详细
export function getArticle(articleId) {
  return request({
    url: '/his/article/' + articleId,
    method: 'get'
  })
}

// 新增健康知识管理
export function addArticle(data) {
  return request({
    url: '/his/article',
    method: 'post',
    data: data
  })
}

// 修改健康知识管理
export function updateArticle(data) {
  return request({
    url: '/his/article',
    method: 'put',
    data: data
  })
}

// 删除健康知识管理
export function delArticle(articleId) {
  return request({
    url: '/his/article/' + articleId,
    method: 'delete'
  })
}

// 导出健康知识管理
export function exportArticle(query) {
  return request({
    url: '/his/article/export',
    method: 'get',
    params: query
  })
}
